//Example based on
//http://blog.blprnt.com/blog/blprnt/quick-tutorial-twitter-processing

PFont myFont;
Twitter myTwitter;
ArrayList<Tweet> tweets = new ArrayList<Tweet>();

Format formatter = new SimpleDateFormat("yy/MM/dd HH:mm:ss");

void setup() {
  size(1024, 512);
  smooth();
  
  myFont = createFont("Arial", 12);
  textFont(myFont);
  
  loadTweets();
}

void loadTweets() {
  //CIID Test Account
  myTwitter = new Twitter("ciidtest", "buildtestrepeat");
  
  try { 
    Query query = new Query("#CIID");
    QueryResult result = myTwitter.search(query);    
   
    tweets = (ArrayList<Tweet>) result.getTweets();    
  }
  catch (TwitterException te) {
    println("Couldn't connect: " + te);
  };  
};
 
void draw() {
  background(255);
  fill(0, 0, 0);  
  noStroke();
  int posY = 20;
  textFont(myFont);  
  for(Tweet t : tweets) {
     String user = t.getFromUser();
     String msg = t.getText();
     Date d = t.getCreatedAt();
     String date = formatter.format(d);
     text(user + " " + date + " : ", 10, posY); 
     posY += 15;
     text(msg, 10, posY); 
     posY += 20;
  } 
};

